
Figure - Bug #117329
【AF】【VX1】【EVT3】【OTA】OTA 烧写失败，使用0x1C2002作为一个块刷写，3601必现无响应 使
用0xFEB02作为一个块刷写，几率性在某一个块刷写失败
2023-04-04 18:11 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-04

Priority: High Due date: 2023-04-19

Assignee: 移动测试一组_CDTS 刘强 % Done: 10%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: 0078,

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version: 2023-06-02

Test Type: ST Root cause: fsem上的mac控制器的固件设置不合理，已经更新了固件。

Description

使用0x1C2002作为一个块刷写，3601必现无响应

使用0xFEB02作为一个块刷写，几率性在某一个块刷写失败

现象：block = 1.8M，36服务必失败， block = 0.8M ,36服务中途失败

History

#1 - 2023-04-06 10:41 - CD TPM-王祥林

- Category changed from CD-FW to BSP

- Assignee changed from CD TPM-王祥林 to CD_BSP 彭文亮

#2 - 2023-04-06 10:43 - CD TPM-王祥林

- Target version set to VC1_FSE_0090_20230411

#3 - 2023-04-10 14:31 - CDTS_TEST 王成

- Severity changed from Major to Critical

#4 - 2023-04-11 09:16 - CD_BSP 彭文亮

- % Done changed from 0 to 10

https://thundersoft.feishu.cn/docx/GVsXdxMJMo3dQexYxXBcqygvnuQ

文档中二、2部分对故障进行了分析。

从我的分析来看，是canoe设备有些不合逻辑的行为。  实际上可能是fsme的网络性能传输稍差一些。

客户表面不同意我的分析，实际上反驳的无理无据，接下来会首先看看0.9M的pcap文件是否于1.8Mpcap文件的错误逻辑是一样的。随后能否提供给客

户fsme的usedebug版本，执行网速提升脚本，看看canoe这边的反应如何。还询问了客户canoe是否能够进行网速测试，等待客户回复。

#5 - 2023-04-12 19:42 - CD_BSP 彭文亮

将fsem网速测试的脚本加入进去，看客户那边进行canoe测试，效果是否有改善。给客户提供了版本和脚本。

由于遇到的故障电路板，导致这个测试过程非常波折，耽误了不少时间。

#6 - 2023-04-13 15:06 - CD_BSP 彭文亮
等待客户反馈测试结果。

查询资料，寻找其他可能原因。

#7 - 2023-04-14 17:43 - CD BSP-杜磊

- Due date set to 2023-04-19

- Status changed from New to ASSIGNED

#8 - 2023-04-15 19:49 - CD_BSP 彭文亮

客户建议，此bug稍后解决，重点解决另一个bug。

我观察到flow control选项可能关闭了，现在还没有时间进行追踪。

#9 - 2023-04-17 19:43 - CD_BSP 彭文亮

等待客户反馈验证状态。

#10 - 2023-04-18 15:41 - CD_BSP 彭文亮

等待客户反馈验证状态。这是另一种压测方式，需等待能够进行压测的故障解决后，再进行此bug的推进。由于我方没有此硬件条件，因此推进有阻碍。

#11 - 2023-04-19 19:28 - CD_BSP 彭文亮

1)正在寻找canoe硬件设备的支持；

2）正在寻求车载设备研发人员的技术支持；

3）正在寻求会使用canoe进行测试的人员支持。

#12 - 2023-04-21 09:50 - CD_BSP 彭文亮

已经想好与客户沟通什么，等待PM拉会。

BUG2，canoe的问题。      我认为我方样机fsem是没有问题的，就像周飞说的，我方的角色是协助，客户要发挥主观能动性。

我方样机是没有问题的：

1）fsem已经经过iperf的TCP和UDP测试，没有问题。

2）fsem间的OTA服务升级能够正常进行。

建议客户这样做：

1）canoe测试用36服务发数据的时候，一次发64K，不要发1M。

2）客户的“simulation setup”是不是仿的主控的网络结构，那主控存在的TCP重传问题，在“simulation setup”上也可能存在。

3）我方希望“simulation setup”，使用的是一对一的测试，不要包含链路转发等。如果客户已经这么做了，那么请把相关配置文件，给到我方，我方找

内部人进行下咨询。

4）OTA服务端的抓包和OTA客户端的抓包应分别在端点进行的？  请抓取ethernet线上log，以判定是接收端未收包，还是发送端未发包。

#13 - 2023-05-31 23:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203623 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wenliang.peng@thundersoft.com
BSP:Ethernet: Update firmware of LAN7431 mac controlerSolve the problem of frame loss in communication.Ethernet mac address setting.Add version

information.TC-RID: 1201-0102803IssueID: TS-R-DF-117329Change-Id: I2354b2a28bb955443afaed1b1b97c7b905b7bf69

#14 - 2023-06-05 17:18 - CD_BSP 彭文亮

新的固件正在测试中，等待测试反馈效果。

#15 - 2023-06-06 18:26 - CD TPM-王祥林

今天问了客户，还没有进行CANOE测试。

#16 - 2023-07-18 19:30 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-02

- Root cause set to fsem上的mac控制器的固件设置不合理，已经更新了固件。

#17 - 2023-07-20 17:36 - 移动测试一组_CDTS 刘强

- Status changed from ASSIGNED to RESOLVED

客户青岛进行CANOE测试通过

#18 - 2023-07-20 17:37 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#19 - 2023-07-20 17:37 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

Jira.zip 13.4 MB 2023-04-04 移动测试一组_CDTS 刘强
